<?php 
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/academia_constantes.php");
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$responce->page = 0;
	$responce->total =0;
	$responce->records = "0";
	echo json_encode($response);
	exit();
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
$page = $_REQUEST['page']; // get the requested page
$limit = $_REQUEST['rows']; // get how many rows we want to have into the grid
$sidx = $_REQUEST['sidx']; // get index row - i.e. user click to sort
$sord = $_REQUEST['sord']; // get the direction
if(!$sidx) $sidx =1;

$totalrows = isset($_REQUEST['totalrows']) ? $_REQUEST['totalrows']: false;
if($totalrows) {$limit = $totalrows;}


$tbls="FROM
    aca_faltas_estudiantes
    INNER JOIN aca_detalles_faltas 
        ON (aca_faltas_estudiantes.cod_falta = aca_detalles_faltas.cod_falta)
    INNER JOIN aux_tipos_faltas 
        ON (aca_detalles_faltas.ide_tipo_falta = aux_tipos_faltas.ide_tipo_falta)";				

$filtro=$_GET[id];
$periodo=$academia->escapar($_GET[per_cal],"int");

$wh=" AND aca_faltas_estudiantes.cod_estudiante=".$filtro ." and periodo_fal='".$periodo."'";

	$cons="SELECT COUNT(*) AS count $tbls  WHERE 1=1 ".$wh;
	$academia->instruccion($cons);
	$row = $academia->extraer_registro();
	$count = $row['count'];
	$academia->liberar();
	
	if( $count >0 ) {
		$total_pages = ceil($count/$limit);
	} else {
		$total_pages = 0;
	}
	if ($page > $total_pages) $page=$total_pages;
	$start = $limit*$page - $limit; // do not put $limit*($page - 1)
	if ($start<0) $start = 0;

$sql = "SELECT
    aux_tipos_faltas.tipo_falta as nom_tp_falta
    , aca_detalles_faltas.cod_falta as cd_falta
    , aca_faltas_estudiantes.ide_faltaxest as id_falxest
    , aca_faltas_estudiantes.fecha_falta as fecha_falta
    , aca_faltas_estudiantes.desc_falta as des_falta
    , aca_faltas_estudiantes.obser_falta as obs_falta
    , aca_faltas_estudiantes.cod_estudiante	as cd_est
	, aca_detalles_faltas.ide_tipo_falta
 $tbls WHERE 1=1".$wh. " ORDER BY ".$sidx." ".$sord. " LIMIT ".$start." , ".$limit;
 

$academia->instruccion($sql);
$responce->page = $page;
$responce->total = $total_pages;
$responce->records = $count;
$i=0;
while($row = $academia->extraer_registro()) {
	$responce->rows[$i]['id']=$row[id_falxest];
	$responce->rows[$i]['cell']=array($row[nom_tp_falta],$row[fecha_falta],$row[des_falta],$row[obs_falta],$row[ide_tipo_falta],$row[cd_falta]);
	$i++;
} 
 

header("Content-type: application/json");
echo json_encode($responce);	
$academia->cerrar();

?>
        